## Summary of TaskKit.TaskHandler

You can also browse the complete source file or the generated documentation.

    class TaskHandler:

        ## Init ##
        def __init__(self, scheduler, start, period, task, name)

        ## Scheduling ##
        def reset(self, start, period, task, reregister)
        def runTask(self)
        def reschedule(self)
        def notifyCompletion(self)

        ## Attributes ##
        def isRunning(self)
        def runAgain(self)
        def isOnDemand(self)
        def runOnCompletion(self)
        def unregister(self)
        def disable(self)
        def enable(self)
        def period(self)
        def setPeriod(self, period)
        def stop(self)
        def name(self)
        def startTime(self, newTime=None)